cURL
NodeCollection
curl --request POST \ --url https://api.quiva.ai/hub/collections \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "Payment Processing Nodes", "collection_type": "node", "description": "Collection of reusable payment processing node templates" } '
201
NodeCollectionCreated
{ "subject": "ms.hub.config.collection.node.805092869", "name": "Payment Processing Nodes", "collection_type": "node", "topic": "805092869", "description": "Collection of reusable payment processing node templates", "modified": 1748533179 }
Creates a new collection for organizing nodes or workflows
JWT Authorization header using the Bearer scheme
Name of the collection
Type of the collection (node or workflow)
node
workflow
Optional description of the collection
Collection created successfully
Subject identifier for the collection
Hash of the collection name
Description of the collection
Timestamp of last modification